Bug 989397 - [engine-web-admin] not all vdsm hooks are presented on UI
[engine-web-admin] not all vdsm hooks are presented on UI
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
x86_64 Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Ravi Nori
Pavel Novotny
: Triaged
Depends On:
Blocks: 1019461
  Show dependency treegraph
Reported: 2013-07-29 04:23 EDT by Elad
Modified: 2016-02-10 14:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-22 10:33:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
logs and screenshot (724.88 KB, application/x-gzip)
2013-07-29 04:23 EDT, Elad
no flags Details

  None (edit)
Description Elad 2013-07-29 04:23:44 EDT
Created attachment 779677 [details]
logs and screenshot

Description of problem:

I have 2 hooks on my vdsm:

[root@black-vds1 after_disk_hotplug]# vdsClient -s 0 getVdsCaps |grep 1.py
        hooks = {'after_disk_hotplug': {'1.py': {'md5': '511d276c47d15d0e3f42098abdc95c6d'}},
                 'before_disk_hotunplug': {'1.py': {'md5': '511d276c47d15d0e3f42098abdc95c6d'}}}

They are also present on DB:

psql -U postgres engine -c 'select hooks from vds_with_tags ;'  | less -S

 {after_disk_hotplug={1.sh={md5=7484ddd871f4b3db789675922a66e17f}}, before_disk_hotplug={2.sh={md5=e5e1ea20dea2b5a873216a2af2d1f1d4}}, after_disk_hotunplug={1.sh={md5=4b10ea6dff25a5be55e8e1d4e5e63295}}}
(5 rows)

But engine shows only one of them under the 'host hooks' sub-tab under 'hosts' tab on UI.
(screenshot attached)

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. add several scripts to vdsm under one of the hooks directories (/usr/libexec/vdsm/hooks)  

Actual results:
vdsm proceed hooks information to engine by vdsCaps, the hooks present on DB, but not all of them reprted to user in UI

Expected results:
All hooks should be presented on UI

Additional info: logs and screenshot
Comment 1 Ravi Nori 2013-10-15 16:51:00 EDT
Can you please attach the hooks that you are trying to add. I added simple hooks  with file name 1.py in after_nic_hotplug and after_nic_hotunplug and I see them on the webadmin.

Contents of 1.py below


import os
import sys 

sys.stderr.write('after nic hot unplug\n')
Comment 2 Elad 2013-10-16 03:50:47 EDT
Can you try please with several hooks? check if all of them are presented on UI
Comment 3 Ravi Nori 2013-10-16 12:40:23 EDT
I haved added serveral hooks, same file as above to several hook directorties and they all show up on the webadmin both on is7 and current master.
Comment 4 Elad 2013-10-22 10:33:33 EDT
On latest build (is19), engine reveals all vdsm hooks, as you said.
I'm closing the bug for now.

Note You need to log in before you can comment on or make changes to this bug.